_MCU_Init:
LDK.L	R1, #136
LDK.L	R0, #GPIO_PORT_24_31+0
CALL	_GPIO_Digital_Input+0
LDK.L	R1, #16
LDK.L	R0, #GPIO_PORT_48_55+0
CALL	_GPIO_Digital_Input+0
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_08_15+0
CALL	_GPIO_Digital_Input+0
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Input+0
LDK.L	R0, #24
CALL	_ADC_Set_Input_Channel+0
CALL	_ADC_Init+0
LPM.L	R28, #3333331
NOP	
L_MCU_Init0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_MCU_Init0
JMP	$+8
	#3333331
NOP	
NOP	
LDK.L	R0, #19000
STA.S	_current_speed+0, R0
LDK.L	R0, #5000
CALL	_PWM_Init+0
STA.S	_pwm_period+0, R0
LDA.S	R0, _current_speed+0
LDK.L	R2, #0
LDK.L	R1, #0
CALL	_PWM_ConfigChannel+0
CALL	_PWM_EnableOutput+0
L_end_MCU_Init:
RETURN	
; end of _MCU_Init
_DrawFrame:
LDK.L	R0, #1040
CALL	_TFT_Fill_Screen+0
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDK.L	R5, #1040
LDK.L	R4, #1040
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #1040
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr1_BrushlessFT90+0
LDK.L	R2, #14
LDK.L	R1, #12
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr2_BrushlessFT90+0
LDK.L	R2, #223
LDK.L	R1, #19
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr3_BrushlessFT90+0
LDK.L	R2, #223
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr4_BrushlessFT90+0
LDK.L	R2, #80
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDK.L	R0, #?lstr5_BrushlessFT90+0
LDK.L	R2, #140
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDA.S	R0, _pwm_period+0
LDK.L	R1, #_txt+0
CALL	_WordToStr+0
LDK.L	R2, #140
LDK.L	R1, #150
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LDK.L	R1, #1
LDK.L	R0, #1040
CALL	_TFT_Set_Pen+0
L_end_DrawFrame:
RETURN	
; end of _DrawFrame
_main:
LDK.L	SP, #43605
CALL	_MCU_Init+0
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
CALL	_DrawFrame+0
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=0
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
L_main2:
LDA.x	R0, #AlignedAddress(GPIO_PIN27_bit+0)
BEXTU.L	R0, R0, #BitPos(GPIO_PIN27_bit+0)
CMP.L	R0, #0
JMPC	R30, Z, #1, L_main4
LPM.L	R28, #33331
NOP	
L_main5:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main5
JMP	$+8
	#33331
NOP	
NOP	
LDA.S	R0, _current_speed+0
ADD.L	R1, R0, #5
STA.S	_current_speed+0, R1
LDA.S	R0, _pwm_period+0
CMP.S	R1, R0
JMPC	R30, A, #0, L_main7
LDK.L	R0, #0
STA.S	_current_speed+0, R0
L_main7:
LDA.S	R0, _current_speed+0
LDK.L	R2, #0
LDK.L	R1, #0
CALL	_PWM_ConfigChannel+0
L_main4:
LDA.x	R0, #AlignedAddress(GPIO_PIN31_bit+0)
BEXTU.L	R0, R0, #BitPos(GPIO_PIN31_bit+0)
CMP.L	R0, #0
JMPC	R30, Z, #1, L_main8
LPM.L	R28, #33331
NOP	
L_main9:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main9
JMP	$+8
	#33331
NOP	
NOP	
LDA.S	R0, _current_speed+0
SUB.L	R1, R0, #5
STA.S	_current_speed+0, R1
LDA.S	R0, _pwm_period+0
CMP.S	R1, R0
JMPC	R30, A, #0, L_main11
LDA.S	R0, _pwm_period+0
STA.S	_current_speed+0, R0
L_main11:
LDA.S	R0, _current_speed+0
LDK.L	R2, #0
LDK.L	R1, #0
CALL	_PWM_ConfigChannel+0
L_main8:
LPM.L	R28, #666665
NOP	
L_main12:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main12
JMP	$+8
	#666665
LDA.S	R0, _current_speed+0
LDK.L	R1, #_txt+0
CALL	_WordToStr+0
LDK.L	R3, #110
LDK.L	R2, #250
LDK.L	R1, #80
LDK.L	R0, #150
CALL	_TFT_Rectangle+0
LDK.L	R2, #80
LDK.L	R1, #150
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
JMP	L_main2
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
